### Constructor

# Soup HSTSEnforcer new

#### Declaration [src]

    SoupHSTSEnforcer*
    soup_hsts_enforcer_new (
      void
    )

#### Description [src]

Creates a new `SoupHSTSEnforcer`.

The base `SoupHSTSEnforcer` class does not support persistent storage of HSTS policies, see `SoupHSTSEnforcerDB` for that.

#### Return value

Type: `SoupHSTSEnforcer`

A new `SoupHSTSEnforcer`.

The caller of the function takes ownership of the data, and is responsible for freeing it.